function [H,I]=periodogram_h(x,i)
N=length(x);
moy=mean(x);
flag=[0:N-1];
I=[]
for nu=0:N-1
	I=[I 1/N*(abs(sum((x-moy).*exp(-%i*2*%pi*nu/N*flag))))^2];
end
[a,b]=LMS(log(i),log(I(i)));
H=(1-a)/2;
r='H='+string(H);
scf(1);clf(1);plot2d(log(i),log(I(i)));xtitle('Periodogram method '+r,'log(i)','log(periodogram(i))');

endfunction
